opencv: cv::MatConstIterator_< _Tp > Class Template Reference

Public Types | Public Member Functions

# cv::MatConstIterator_< _Tp > Class Template Reference

`#include <core.hpp>`

Inheritance diagram for cv::MatConstIterator_< _Tp >:

List of all members.

## Public Types
typedef ptrdiff_t | difference_type
typedef std::random_access_iterator_tag | iterator_category
typedef const _Tp * | pointer
typedef const _Tp & | reference
typedef _Tp | value_type
## Public Member Functions
| MatConstIterator_ ()
| default constructor
| MatConstIterator_ (const Mat_< _Tp > *_m)
| constructor that sets the iterator to the beginning of the matrix
| MatConstIterator_ (const Mat_< _Tp > *_m, Point _pt)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator_ (const Mat_< _Tp > *_m, const int *_idx)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator_ (const Mat_< _Tp > *_m, int _row, int _col=0)
| constructor that sets the iterator to the specified element of the matrix
| MatConstIterator_ (const MatConstIterator_ &it)
| copy constructor
_Tp | operator* () const
| returns the current matrix element
MatConstIterator_ | operator++ (int)
| increments the iterator
MatConstIterator_ & | operator++ ()
| increments the iterator
MatConstIterator_ & | operator+= (ptrdiff_t ofs)
| shifts the iterator forward by the specified number of elements
MatConstIterator_ & | operator-- ()
| decrements the iterator
MatConstIterator_ | operator-- (int)
| decrements the iterator
MatConstIterator_ & | operator-= (ptrdiff_t ofs)
| shifts the iterator backward by the specified number of elements
MatConstIterator_ & | operator= (const MatConstIterator_ &it)
| copy operator
_Tp | operator[] (ptrdiff_t i) const
| returns the i-th matrix element, relative to the current
Point | pos () const
| returns the current iterator position

## Detailed Description

### template<typename _Tp>
class cv::MatConstIterator_< _Tp >

Matrix read-only iterator

## Member Typedef Documentation

template<typename _Tp>

typedef ptrdiff_t cv::MatConstIterator_< _Tp >::difference_type

Reimplemented from cv::MatConstIterator.

template<typename _Tp>

typedef std::random_access_iterator_tag cv::MatConstIterator_< _Tp >::iterator_category

Reimplemented from cv::MatConstIterator.

Reimplemented in cv::MatIterator_< _Tp >.

template<typename _Tp>

typedef const _Tp* cv::MatConstIterator_< _Tp >::pointer

Reimplemented from cv::MatConstIterator.

Reimplemented in cv::MatIterator_< _Tp >.

template<typename _Tp>

typedef const _Tp& cv::MatConstIterator_< _Tp >::reference

Reimplemented from cv::MatConstIterator.

Reimplemented in cv::MatIterator_< _Tp >.

template<typename _Tp>

typedef _Tp cv::MatConstIterator_< _Tp >::value_type

Reimplemented from cv::MatConstIterator.

## Constructor & Destructor Documentation

template<typename _Tp >

cv::MatConstIterator_< _Tp >::MatConstIterator_ | ( | ) | `[inline]`

default constructor

template<typename _Tp >

cv::MatConstIterator_< _Tp >::MatConstIterator_ | ( | const Mat_< _Tp > * | _m ) | `[inline]`

constructor that sets the iterator to the beginning of the matrix

template<typename _Tp >

cv::MatConstIterator_< _Tp >::MatConstIterator_ | ( | const Mat_< _Tp > * | _m,
|  | int | _row,
|  | int | _col = `0`
| ) |  | `[inline]`

constructor that sets the iterator to the specified element of the matrix

template<typename _Tp >

cv::MatConstIterator_< _Tp >::MatConstIterator_ | ( | const Mat_< _Tp > * | _m,
|  | Point | _pt
| ) |  | `[inline]`

constructor that sets the iterator to the specified element of the matrix

template<typename _Tp>

cv::MatConstIterator_< _Tp >::MatConstIterator_ | ( | const Mat_< _Tp > * | _m,
|  | const int * | _idx
| ) |  |

constructor that sets the iterator to the specified element of the matrix

template<typename _Tp >

cv::MatConstIterator_< _Tp >::MatConstIterator_ | ( | const MatConstIterator_< _Tp > & | it ) | `[inline]`

copy constructor

## Member Function Documentation

template<typename _Tp >

_Tp cv::MatConstIterator_< _Tp >::operator* | ( | ) | const`[inline]`

returns the current matrix element

Reimplemented from cv::MatConstIterator.

Reimplemented in cv::MatIterator_< _Tp >.

template<typename _Tp >

MatConstIterator_< _Tp > & cv::MatConstIterator_< _Tp >::operator++ | ( | ) | `[inline]`

increments the iterator

Reimplemented from cv::MatConstIterator.

Reimplemented in cv::MatIterator_< _Tp >.

template<typename _Tp >

MatConstIterator_< _Tp > cv::MatConstIterator_< _Tp >::operator++ | ( | int | ) | `[inline]`

increments the iterator

Reimplemented from cv::MatConstIterator.

Reimplemented in cv::MatIterator_< _Tp >.

template<typename _Tp >

MatConstIterator_< _Tp > & cv::MatConstIterator_< _Tp >::operator+= | ( | ptrdiff_t | ofs ) | `[inline]`

shifts the iterator forward by the specified number of elements

Reimplemented from cv::MatConstIterator.

Reimplemented in cv::MatIterator_< _Tp >.

template<typename _Tp >

MatConstIterator_< _Tp > cv::MatConstIterator_< _Tp >::operator-- | ( | int | ) | `[inline]`

decrements the iterator

Reimplemented from cv::MatConstIterator.

Reimplemented in cv::MatIterator_< _Tp >.

template<typename _Tp >

MatConstIterator_< _Tp > & cv::MatConstIterator_< _Tp >::operator-- | ( | ) | `[inline]`

decrements the iterator

Reimplemented from cv::MatConstIterator.

Reimplemented in cv::MatIterator_< _Tp >.

template<typename _Tp >

MatConstIterator_< _Tp > & cv::MatConstIterator_< _Tp >::operator-= | ( | ptrdiff_t | ofs ) | `[inline]`

shifts the iterator backward by the specified number of elements

Reimplemented from cv::MatConstIterator.

Reimplemented in cv::MatIterator_< _Tp >.

template<typename _Tp >

MatConstIterator_< _Tp > & cv::MatConstIterator_< _Tp >::operator= | ( | const MatConstIterator_< _Tp > & | it ) | `[inline]`

copy operator

template<typename _Tp >

_Tp cv::MatConstIterator_< _Tp >::operator[] | ( | ptrdiff_t | i ) | const`[inline]`

returns the i-th matrix element, relative to the current

Reimplemented from cv::MatConstIterator.

Reimplemented in cv::MatIterator_< _Tp >.

template<typename _Tp >

Point cv::MatConstIterator_< _Tp >::pos | ( | ) | const`[inline]`

returns the current iterator position

Reimplemented from cv::MatConstIterator.

The documentation for this class was generated from the following files:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/mat.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines